メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery/

URL ディスカバリージョブの現在の状態と詳細を返します。

パスパラメーター

discoveryId
string
必須
ディスカバリージョブの ID。

レスポンス

id
string
ディスカバリージョブの一意な識別子。
url
string
ディスカバリー対象の URL。
type
string
使用したディスカバリー手法: fullsitemapcrawl
status
string
現在の状態: pendingprocessingcompletedfailed
urlsFound
number
現在までに発見した URL 数。
createdAt
string
ジョブ作成日時の ISO 8601 タイムスタンプ。
completedAt
string
完了した場合の完了日時の ISO 8601 タイムスタンプ(該当時)。
curl -X GET https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://example.com",
  "type": "full",
  "status": "processing",
  "urlsFound": 23,
  "createdAt": "2026-01-20T10:00:00.000Z",
  "completedAt": null
}